org.eclipse.jetty.server

## Class Request.MultiPartCleanerListener

- java.lang.Object
- - org.eclipse.jetty.server.Request.MultiPartCleanerListener

- All Implemented Interfaces:
    EventListener, javax.servlet.ServletRequestListener
  Enclosing class:
    Request

      public static class Request.MultiPartCleanerListener
      extends Object
      implements javax.servlet.ServletRequestListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Request.MultiPartCleanerListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `requestDestroyed(javax.servlet.ServletRequestEvent sre)`
    `void` | `requestInitialized(javax.servlet.ServletRequestEvent sre)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Request.MultiPartCleanerListener

          public Request.MultiPartCleanerListener()

  - ### Method Detail

    - #### requestDestroyed

          public void requestDestroyed(javax.servlet.ServletRequestEvent sre)

      Specified by:
        `requestDestroyed` in interface `javax.servlet.ServletRequestListener`

    - #### requestInitialized

          public void requestInitialized(javax.servlet.ServletRequestEvent sre)

      Specified by:
        `requestInitialized` in interface `javax.servlet.ServletRequestListener`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.